CrlOcspRef (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.esf

## Class CrlOcspRef

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.esf.CrlOcspRef

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class CrlOcspRef
      extends ASN1Object

       CrlOcspRef ::= SEQUENCE {
           crlids [0] CRLListID OPTIONAL,
           ocspids [1] OcspListID OPTIONAL,
           otherRev [2] OtherRevRefs OPTIONAL
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CrlOcspRef(CrlListID crlids, OcspListID ocspids, OtherRevRefs otherRev)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CrlListID` | `getCrlids()`
    `static CrlOcspRef` | `getInstance(java.lang.Object obj)`
    `OcspListID` | `getOcspids()`
    `OtherRevRefs` | `getOtherRev()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CrlOcspRef

          public CrlOcspRef(CrlListID crlids,
                            OcspListID ocspids,
                            OtherRevRefs otherRev)

  - ### Method Detail

    - #### getInstance

          public static CrlOcspRef getInstance(java.lang.Object obj)

    - #### getCrlids

          public CrlListID getCrlids()

    - #### getOcspids

          public OcspListID getOcspids()

    - #### getOtherRev

          public OtherRevRefs getOtherRev()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.